Package com.databricks.jdbc.api.impl.volume

## Interface VolumeUploadCallback.UrlGenerator

Enclosing class:
  VolumeUploadCallback

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public static interface VolumeUploadCallback.UrlGenerator

Interface for generating presigned URLs.

### Method Summary

All Methods Instance Methods Abstract Methods
`CompletableFuture<CreateUploadUrlResponse>` `apply​(String ucVolumePath, String objectPath, int attempt)`

### Method Detail

#### apply

    CompletableFuture<CreateUploadUrlResponse> apply​(String ucVolumePath,
                                                     String objectPath,
                                                     int attempt)